__riscv_flush_icache(3)

NAME
__riscv_flush_icache - Flush icaches on RISC-V

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/cachectl.h>

int __riscv_flush_icache(void *start, void *end, unsigned long flags);

DESCRIPTION
__riscv_flush_icache() enforces ordering between stores and instruction cache fetches.

The range of addresses over which ordering is enforced is specified by start and end.

The flags argument controls the extent of this ordering, with the default behavior (a flags value of 0) being to enforce the fence on all threads in the current process. Setting the SYS_RISCV_FLUSH_ICACHE_LOCAL bit allows users to indicate that enforcing ordering on only the current thread is necessary. All other flag bits are reserved.

STANDARDS
Linux on RISC-V.

HISTORY
Linux 4.15. glibc 2.27.

SEE ALSO
syscall(2)